#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 5. File Systems and Disk Management

- Prev

  btrfs-progs-5.10.1

- Next

  Fuse-3.10.2

- Up
- Home

# dosfstools-4.2

## Introduction to dosfstools

The dosfstools package contains various utilities for use with the FAT family of file systems.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/dosfstools/dosfstools/releases/download/v4.2/dosfstools-4.2.tar.gz

- Download MD5 sum: 49c8e457327dc61efab5b115a27b087a

- Download size: 314 KB

- Estimated disk space required: 3.5 MB

- Estimated build time: less than 0.1 SBU

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/dosfstools

## Kernel Configuration

Enable the following option in the kernel configuration and recompile the kernel:

    File systems --->
      <DOS/FAT/EXFAT/NT Filesystems --->
        <*/M> MSDOS fs support             [CONFIG_MSDOS_FS]
        <*/M> VFAT (Windows-95) fs support [CONFIG_VFAT_FS]

## Installation of dosfstools

Install dosfstools by running the following commands:

    ./configure --prefix=/               \
                --enable-compat-symlinks \
                --mandir=/usr/share/man  \
                --docdir=/usr/share/doc/dosfstools-4.2 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-compat-symlinks`: This switch creates the dosfsck, dosfslabel, fsck.msdos, fsck.vfat, mkdosfs, mkfs.msdos, and mkfs.vfat symlinks required by some programs.

## Contents

Installed Programs: fatlabel, fsck.fat, and mkfs.fat

### Short Descriptions

fatlabel | sets or gets a MS-DOS filesystem label from a given device
fsck.fat | checks and repairs MS-DOS filesystems
mkfs.fat | creates an MS-DOS filesystem under Linux

Last updated on 2021-02-21 17:43:43 -0800

- Prev

  btrfs-progs-5.10.1

- Next

  Fuse-3.10.2

- Up
- Home